Subject: Re: [PATCH] i2c-ibm_iic: Remove deprecated OCP style part of the driver

From: Stefan Roese <[email-masked]>
Date: Wed, 4 Jun 2008 21:33:18 +0200

On Wednesday 04 June 2008, Jean Delvare wrote:
> On Wed,  4 Jun 2008 17:22:12 +0200, Stefan Roese wrote:
> > The deprecated OCP style driver part is used by the "old" arch/ppc
> > platform. This platform is scheduled for removal in June/July this year.
> > This patch now removes the OCP driver part from the IBM I2C driver.
> >
> > Signed-off-by: Stefan Roese <[email-masked]>
> > ---
> >  drivers/i2c/busses/i2c-ibm_iic.c |  181
> > -------------------------------------- 1 files changed, 0 insertions(+),
> > 181 deletions(-)
>
> Applied, queued for 2.6.27, thanks Stefan.

Thanks. I'll post some smaller follow-up patches probably tomorrow.

> BTW, would you happen to know if read-only EEPROMs such as SPD or EDID
> can be found on the i2c-ibm_iic adapters?

Yes. Some PPC4xx boards are equipped with DIMM modules. Those SPD EEPROM's are 
connected to the I2C bus controller by the i2c-ibm_iic driver.

Best regards,
Stefan